aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-scrapy-dblite/APKBUILD
diff options
context:
space:
mode:
authorsystmkor <systmkor@gmail.com>2015-01-14 15:02:21 -0800
committerNatanael Copa <ncopa@alpinelinux.org>2015-01-15 10:11:28 +0000
commit36806799e4e39b0563d4459f83eb50e6c81a8164 (patch)
treef37a751322e570489a09fe3a0ed576f199b3dfa8 /testing/py-scrapy-dblite/APKBUILD
parent4d97902b5209e2347d8bcec581076f8c769321a3 (diff)
downloadaports-36806799e4e39b0563d4459f83eb50e6c81a8164.tar.gz
aports-36806799e4e39b0563d4459f83eb50e6c81a8164.tar.bz2
aports-36806799e4e39b0563d4459f83eb50e6c81a8164.tar.xz
testing/py-scrapy-dblite: new aport
Simple library for storing Scrapy Items in sqlite. https://github.com/ownport/scrapy-dblite
Diffstat (limited to 'testing/py-scrapy-dblite/APKBUILD')
-rw-r--r--testing/py-scrapy-dblite/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-scrapy-dblite/APKBUILD b/testing/py-scrapy-dblite/APKBUILD
new file mode 100644
index 0000000000..1bc7deb6b8
--- /dev/null
+++ b/testing/py-scrapy-dblite/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer:
+pkgname=py-scrapy-dblite
+_pkgname=scrapy-dblite
+pkgver=0.2.5
+pkgrel=0
+pkgdesc="Simple library for storing Scrapy Items in sqlite." # quote from github
+url="https://github.com/ownport/scrapy-dblite"
+arch="noarch"
+license="BSD" # 2 clause license http://opensource.org/licenses/BSD-2-Clause
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/s/scrapy-dblite/scrapy-dblite-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="f3e5ccca05895c52df9fc8408a6230e7 scrapy-dblite-0.2.5.tar.gz"
+sha256sums="9d42ea9a585e3e7b345529d5a311dd3920c4d6f99654f3ce9c0c14c359e7185b scrapy-dblite-0.2.5.tar.gz"
+sha512sums="292eab45a191b28d339c6581e5faf06af27f6c47596262c08f79b7da9f5c6880ea8c32c3b011fa509c850524b49be4edcf5b79c9d43fdb7b354bd32fd3f81141 scrapy-dblite-0.2.5.tar.gz"